=== debian/changelog ===
lilypond (2.18.2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - Replace ttf-kochi fonts with ipafonts (Closes: #804514).

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 30 Dec 2015 14:57:33 +0100

lilypond (2.18.2-4) unstable; urgency=medium

  * Fix the wrong maintscript-helper invocation which was trying to
    symlink to /usr/share/doc/lilypond/Documentation/user instead of
    /usr/share/doc/lilypond/Documentation. (Closes: #768272)
  * Add missing Pre-Depends: ${misc:Depends} for dpkg-maintscript-helper.

 -- Don Armstrong <don@debian.org>  Sun, 16 Nov 2014 17:38:32 -0800

lilypond (2.18.2-3) unstable; urgency=medium

  * Revert previous patch (no parallel); the issue was actually running
    tests on architecture independent builds which had not built any of
    the documentation. (Closes: #760794)
  * Stop setting HOME to /tmp in debian/rules. (Closes: #762230)

 -- Don Armstrong <don@debian.org>  Tue, 16 Sep 2014 14:50:14 -0700

lilypond (2.18.2-2) unstable; urgency=high

  * Disable parallel support on !amd64 to avoid build failures on those
    architectures. This is a temporary fix; a real fix to the (possibly)
    broken makefiles needs to be written. (Closes: #760794)

 -- Don Armstrong <don@debian.org>  Tue, 09 Sep 2014 08:18:49 -0700

lilypond (2.18.2-1) unstable; urgency=high

  * New upstream version
  * Fix Broken usage of dpkg-maintscript-helper (relative pathnames vs.
    aboslute pathnames), thanks to Guillem Jover and Petter Reinholdtsen
    (Closes: #758787).

 -- Don Armstrong <don@debian.org>  Wed, 03 Sep 2014 15:22:54 -0700

lilypond (2.18.0-1) unstable; urgency=low

  * New upstream version (closes: #729817)
  * Fix replacement of /usr/share/info/lilypond symlink with a directory
    (Closes: #736306)

 -- Don Armstrong <don@debian.org>  Tue, 31 Dec 2013 13:23:41 -0800

lilypond (2.16.2-3) unstable; urgency=low

  * Do not include non-existant paths in lilypond-doc.doc-base-special
    (closes: #693238)
  * Breaks/Replaces lilypond-doc in html packages to stop problems on
    wheezy upgrade. (Closes: #718013)
  * Fix freetype path by applying patch from upstream (Closes: #733399)
  * Fix bison build failures with 42cb7d44

 -- Don Armstrong <don@debian.org>  Tue, 31 Dec 2013 09:44:05 -0800

lilypond (2.16.2-2) unstable; urgency=low

  * Fix bad syntax in texinfo documentation exposed by texinfo >= 5.1
    (closes: #707190)
  * Patch around using PATH_MAX in flower/file-name.cc to have builds work
    on hurd (hopefully).

 -- Don Armstrong <don@debian.org>  Wed, 15 May 2013 11:40:14 -0700

lilypond (2.16.2-1) unstable; urgency=low

  * Release 2.16.2-1 to unstable

 -- Don Armstrong <don@debian.org>  Mon, 06 May 2013 10:15:36 -0700

lilypond (2.16.2-1~exp+1) experimental; urgency=low

  * New upstream release (closes: #705895)
  * Put languages in their own subdocument to work around doc-base not
    having a language specifier (closes: #698435)

 -- Don Armstrong <don@debian.org>  Wed, 24 Apr 2013 21:53:13 -0700

lilypond (2.16.1-1~exp+2) experimental; urgency=low

  * New upstream release
  * netpbm and fonts are required to run the tests during the binary
    build; migrate the Build-Depends-Indep to Build-Depends.
  * Switch to dh style rules

 -- Don Armstrong <don@debian.org>  Tue, 02 Oct 2012 17:33:29 -0700

lilypond (2.16.0-1~exp+1) experimental; urgency=low

  * New upstream release (Closes: #686788)
  * Fix "warnings from install-info" by splitting the direntry sections
    across the texinfo files (Closes: #648689). Thanks to Julian Gilbey
    for the patch.
  * Fix noopt support to use --disable-optimising as ./configure does
    crazy things.
  * Apply patch from 13fc2437e2aaa9 to fix segfault in font-mark where a
    garbage collection can trigger a null pointer dereference (closes:
    #684817)
  * Split out lilypond-doc packages (Closes: #443915)

 -- Don Armstrong <don@debian.org>  Tue, 04 Sep 2012 11:16:50 -0700

lilypond (2.14.2-3) unstable; urgency=low

  * Fix redefinition of s in Music_sequence::first_start. (Closes:
    #672087).

 -- Don Armstrong <don@debian.org>  Sun, 13 May 2012 16:07:16 -0700

lilypond (2.14.2-2) unstable; urgency=low

  * Disable optimization on i386 and kfreebsd-i386 to avoid segfaults with
    python7; thanks to Matthias Klose and Scott Kitterman for the
    temporary solution. (Closes: #643664)

 -- Don Armstrong <don@debian.org>  Wed, 28 Sep 2011 09:44:40 -0700

lilypond (2.14.2-1) unstable; urgency=low

  * New upstream release (Closes: #629520)
  * Fix bad Recommends on texlive-latex-base (Closes: #594403)
  * Ditch useless links (Closes: #522120)
  * Apply patch from 77c34ddc (Werner Lemberg <wl@gnu.org>)
    to fix compilation with g++ 4.5 (Closes: #606642).
    Thanks to Colin Watson for an alternative patch.
  * Add parts of patch f113bf2f (Benjamin Peterson <benjamin@python.org>)
    to fix segfaults on invalid engraver names.
  * Update standards version; no changes
  * Specify source version 1
  * No need to conflict with ancient versions of lilypond anymore

 -- Don Armstrong <don@debian.org>  Tue, 02 Aug 2011 13:14:29 -0700

lilypond (2.12.3-7) unstable; urgency=low

  * Use /dev/stderr instead of /dev/tty (Closes: #574629)
  * Use py_support to require rebuilds when python's API changes (Closes:
    #380855)
  * Properly remove empty /usr/share/info/lilypond directory and replace
    with symlink

 -- Don Armstrong <don@debian.org>  Tue, 24 Aug 2010 15:52:59 -0700

lilypond (2.12.3-6) unstable; urgency=low

  * Fix syntax error in scm/lily.scm. Thanks to dann frazier for pointing
    out the fix. (Closes: #574629)
  * Depend on ghostscript (Closes: #575906)

 -- Don Armstrong <don@debian.org>  Wed, 31 Mar 2010 20:57:04 -0700

lilypond (2.12.3-5) unstable; urgency=low

  * Its guile that's being used, not MIT scheme; use access? instead of
    file-writable? (Closes: #572290)

 -- Don Armstrong <don@debian.org>  Thu, 04 Mar 2010 23:38:32 -0800


