=== debian/control ===
Source: lilypond
Build-Depends: debhelper (>= 9), quilt, python-all-dev (>= 2.6.6-3~), dh-python,
 guile-1.8-dev,
 flex, bison, texinfo, groff, m4, gettext, mftrace, fontforge,
 pkg-config, libfreetype6-dev, libpango1.0-dev,
 libfontconfig1-dev, help2man,
 libgmp3-dev, libltdl-dev, ghostscript, texlive-latex-base,
 texlive-generic-recommended, texlive-latex-recommended, autotools-dev, texi2html, texlive-metapost,
 zip, rsync, texlive-fonts-recommended, dblatex, netpbm, imagemagick, 
 emacs-intl-fonts, xfonts-intl-arabic, xfonts-intl-asian,
 xfonts-intl-chinese, xfonts-intl-chinese-big, xfonts-intl-european,
 xfonts-intl-japanese, xfonts-intl-japanese-big, xfonts-intl-phonetic,
 fonts-ipafont-gothic, fonts-ipafont-mincho, ttf-dejavu, ttf-freefont,
 texlive-lang-cyrillic,
 gsfonts | gsfonts-x11
Section: tex
Priority: optional
Maintainer: Don Armstrong <don@debian.org>
Standards-Version: 3.9.5
Homepage: http://lilypond.org/
Vcs-Git: git://git.donarmstrong.com/lilypond.git
Vcs-Browser: http://git.donarmstrong.com/lilypond.git

Package: lilypond
Architecture: any
Replaces: lilypond1.3
Provides: lilypond1.3
Depends: ${shlibs:Depends}, ${python:Depends}, guile-1.8, ${misc:Depends}, lilypond-data (= ${source:Version}), ghostscript
Breaks: ${python:Breaks}
Recommends: lilypond-doc, texlive-latex-base
Description: program for typesetting sheet music
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 LilyPond supports many forms of music notation constructs, including
 chord names, drum notation, figured bass, grace notes, guitar tablature,
 modern notation (cluster notation and rhythmic grouping), tremolos,
 (nested) tuplets in arbitrary ratios, and more.
 .
 LilyPond's text-based music input language support can integrate into
 LaTeX, HTML and Texinfo seamlessly, allowing single sheet music
 or musicological treatises to be written from a single source.  Form and
 content are separate, and with LilyPond's expert automated formatting,
 users don't need typographical expertise to produce good notation.
 .
 LilyPond produces PDF, PostScript, SVG, or TeX printed output, as well
 as MIDI for listening pleasures.  LilyPond is exported from the
 RoseGarden and NoteEdit GUIs, and can import ABC, ETF and MIDI.
 .
 LilyPond is part of the GNU Project.
 .
  Authors: Han-Wen Nienhuys <hanwen@cs.uu.nl>
           Jan Nieuwenhuizen <janneke@gnu.org>

Package: lilypond-data
Architecture: all
Depends: texinfo | texlive-texinfo, texlive-base-bin, ${python:Depends}, ${misc:Depends}
Breaks: ${python:Breaks}
Recommends: lilypond (>= ${source:Version})
Description: LilyPond music typesetter (data files)
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 . 
 This package contains architecture-independent data files for LilyPond.

Package: lilypond-doc
Section: doc
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Recommends: lilypond-doc-html, lilypond-doc-pdf
Suggests: lilypond (>= ${source:Version})
Description: LilyPond Documentation in info format (and meta package)
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package includes the info documentation and recommends the html
 and pdf documentation for the LilyPond music typesetting software.

Package: lilypond-doc-pdf
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Recommends: evince | pdf-viewer
Suggests: lilypond (>= ${source:Version})
Description: LilyPond PDF Documentation
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the PDF documentation for the LilyPond music
 typesetting software.

Package: lilypond-doc-html
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Recommends: mozilla-browser | www-browser
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond HTML Documentation
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the HTML documentation for the LilyPond music
 typesetting software.

Package: lilypond-doc-html-cs
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond HTML Documentation in Czech
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the HTML documentation in Czech for the
 LilyPond music typesetting software.

Package: lilypond-doc-html-de
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond HTML Documentation in German
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the HTML documentation in German for the
 LilyPond music typesetting software.

Package: lilypond-doc-html-es
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond HTML Documentation in Spanish
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the HTML documentation in Spanish for the
 LilyPond music typesetting software.

Package: lilypond-doc-html-fr
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond HTML Documentation in French
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the HTML documentation in French for the
 LilyPond music typesetting software.

Package: lilypond-doc-html-hu
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond HTML Documentation in Hungarian
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the HTML documentation in Hungarian for the
 LilyPond music typesetting software.

Package: lilypond-doc-html-it
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond HTML Documentation in Italian
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the HTML documentation in Italian for the
 LilyPond music typesetting software.

Package: lilypond-doc-html-ja
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond HTML Documentation in Japanese
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the HTML documentation in Japanese for the
 LilyPond music typesetting software.

Package: lilypond-doc-html-nl
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond HTML Documentation in Dutch
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the HTML documentation in Dutch for the
 LilyPond music typesetting software.

Package: lilypond-doc-html-zh
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond HTML Documentation in Chinese
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the HTML documentation in Chinese for the
 LilyPond music typesetting software.

Package: lilypond-doc-pdf-de
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Recommends: evince | pdf-viewer
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond PDF Documentation in German
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the PDF documentation in German for the
 LilyPond music typesetting software.

Package: lilypond-doc-pdf-es
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Recommends: evince | pdf-viewer
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond PDF Documentation in Spanish
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the PDF documentation in Spanish for the
 LilyPond music typesetting software.

Package: lilypond-doc-pdf-fr
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Recommends: evince | pdf-viewer
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond PDF Documentation in French
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the PDF documentation in French for the
 LilyPond music typesetting software.

Package: lilypond-doc-pdf-hu
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Recommends: evince | pdf-viewer
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond PDF Documentation in Hungarian
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the PDF documentation in Hungarian for the
