## lilypond 2.19.81

=== debian/changelog ===
lilypond (2.19.81-1~exp2) unstable; urgency=medium

  * Switch lilypond-invoke-editor to use system* instead of system to fix
    CVE-2017-17523 for non textedit:// URIs. (Closes: #884136)

 -- Don Armstrong <don@debian.org>  Thu, 10 May 2018 17:24:03 -0700

lilypond (2.19.81-1~exp1) experimental; urgency=medium

  * New upstream version 2.19.81
  * Fix argument injection in lilypond-invoke-editor, CVE-2017-17523.
    This is a cherry-pick of upstream's fix, see
    https://sourceforge.net/p/testlilyissues/issues/5243/ (Closes: #884136)
  * Update Standards-Version to 4.1.3, no changes needed
  * Update d/copyright
  * Switch Vcs-URLs to salsa.d.o and add default branch for git

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 04 Feb 2018 13:31:46 +0100

lilypond (2.19.80-1~exp1) experimental; urgency=medium

  * New upstream version 2.19.80
  * Remove unused lintian overrides
  * Fix typo in package description
  * Remove Replaces/Breaks for lilypond-doc (<< 2.16.2-1~exp+1).
    Even oldstable has 2.18.2-4, so an upgrade should be possible
    without problems.
  * Remove obsolete package name lilypond1.3

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 16 Oct 2017 17:07:08 +0200

lilypond (2.19.65-1~exp2) experimental; urgency=medium

  * Add new language Catalan for HTML and PDF doc packages
  * Run d/update_doc_packages to generate new package stanzas
  * Use debhelper v10
  * Remove unneeded --parallel options from debhelper calls

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 06 Oct 2017 12:08:03 +0200

lilypond (2.19.65-1~exp1) experimental; urgency=medium

  [ Don Armstrong ]
  * Remove now useless mktexlsr calls and such from
    lilypond-doc.post{inst,rm}. Thanks to Julian Gilbey (Closes: #771732)

  [ Dr. Tobias Quathamer ]
  * New upstream version.
    - Refresh patches
    - Add font-texgyre to Build-Depends
    - Build-Depends on extractpdfmark to generate smaller PDF files
  * Update watch file for new upstream location
  * Update Standards-Version to 4.1.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 03 Oct 2017 15:13:54 +0200

lilypond (2.18.2-9) unstable; urgency=medium

  * There is no need to remove /usr/share/info/lilypond anymore, as the
    info directory is the master source for the images which are built and
    are linked to from the HTML. (Closes: #871631)
  * Cherrypick fix for upstream issue 4814 which fixes segfaults in
    grob.cc in newer versions of GCC (Closes: #866129). Thanks to Antonio
    Ospite for mentioning the patch.

 -- Don Armstrong <don@debian.org>  Tue, 15 Aug 2017 13:38:30 -0700

lilypond (2.18.2-8) unstable; urgency=medium

  [ Don Armstrong ]
  * Ignore non-empty /usr/share/lilypond in postinst (Closes: #737505)

  [ Dr. Tobias Quathamer ]
  * Update Standards-Version to 4.0.0
    - Use HTTPS URL for d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 27 Jun 2017 21:33:50 +0200

lilypond (2.18.2-7) unstable; urgency=medium

  * Fix FTBFS (introduced by me in 2.18.2-5) on hurd-i386
  * Fix FTBFS (introduced by me in 2.18.2-5) on kfreebsd-{amd64,i386}
  * Run tests only when documentation has been built, and
    fix check for DEB_BUILD_OPTIONS=nocheck. (See #760794)
  * Suggests instead of Recommends lilypond-doc. (Closes: #653263)
  * Fix Lintian warning: debian-rules-ignores-make-clean-error
  * Fix Lintian warnings: wildcard-matches-nothing-in-dep5-copyright

 -- Anthony Fok <foka@debian.org>  Sun, 29 Jan 2017 04:58:33 -0700

lilypond (2.18.2-6) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * Add myself as uploader
    (cherry-picked from 2016-07-25 git commit to debian-experimental branch)

  [ Anthony Fok ]
  * Fix FTBFS when built with "dpkg-buildpackage -A".
    Previously, "$(MAKE) install" was not run for arch-independent build,
    hence dh_install was unable to find the non-documentation files that are
    destined for lilypond-data.
    Thanks to Santiago Vila for the bug report. (Closes: #806067)
  * debian/rules: Leave PDF documentation uncompressed.

 -- Anthony Fok <foka@debian.org>  Fri, 27 Jan 2017 13:15:13 -0700

lilypond (2.18.2-5) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * Fix patch for FTBFS on hurd. Thanks to Petter Reinholdtsen
    for the bug report and patch. (Closes: #761036)

  [ Anthony Fok ]
  * Bundle our own private copy of guile-1.8.  Superceded by guile-2.0,
    the old guile-1.8 was finally removed from Debian in May 2016.
    Unfortunately, LilyPond 2.18.2 still requires Guile 1.8,
    and LilyPond 2.19.x and Guile 2 are just not yet ready for each other.
    So, it would seem that bundling our own private guile-1.8 is the only
    viable option to keep LilyPond 2.18.2 in Debian for the time being.
    Hope this would allow LilyPond to re-enter Debian 9 "stretch"!
    See Bug #746005 for more information.
  * Import guile-1.8 as multiple upstream tarball component,
    originally Debian's own DFSG-compliant guile-1.8_1.8.8+1.orig.tar.bz2,
    recompressed with gzip as lilypond_2.18.2.orig-guile18.tar.gz
    (to work around current gbp limitation).
  * Add debian/gbp.conf for multiple upstream tarball (MUT)
    with special "multiple upstream tarball" (MUT) upstream-mut branch
    branch and upstream-mut/%(version)s tags for Debian 9 "stretch".
  * Cherry-pick set-global-fonts function from upstream to scm/font.scm
  * Refresh debian/control:
    - Add myself to the Uploaders field
    - Bump Standards-Version to 3.9.8 (no change)
    - Use secure https URIs for Vcs-Browser and Vcs-Git fields
  * Add explicit Build-Depends on libfl-dev
    LilyPond needs /usr/include/FlexLexer.h from libfl-dev,
    but flex dependency on libfl-dev has been demoted to Recommends
    since flex (2.6.1-1.1) dated 2016-11-24.
  * Remove bitmap fonts from Build-Depends and use vector fonts only.
    Also, Build-Conflicts with fonts-noto-cjk which contains OpenType
    Collection (OTC) fonts, which unfortunately Ghostscript does not yet

