=== debian/control ===
--- 
+++ 
@@ -1,33 +1,34 @@
 Source: lilypond
-Build-Depends: debhelper (>= 9), quilt, python-all-dev (>= 2.6.6-3~), dh-python,
- guile-1.8-dev,
- flex, bison, texinfo, groff, m4, gettext, mftrace, fontforge,
+Build-Depends: debhelper (>= 10), quilt, python-all-dev (>= 2.6.6-3~), dh-python, dh-exec,
+ libfl-dev, flex, bison, texinfo, groff, m4, gettext, mftrace, fontforge,
  pkg-config, libfreetype6-dev, libpango1.0-dev,
  libfontconfig1-dev, help2man,
- libgmp3-dev, libltdl-dev, ghostscript, texlive-latex-base,
- texlive-generic-recommended, texlive-latex-recommended, autotools-dev, texi2html, texlive-metapost,
- zip, rsync, texlive-fonts-recommended, dblatex, netpbm, imagemagick, 
- emacs-intl-fonts, xfonts-intl-arabic, xfonts-intl-asian,
- xfonts-intl-chinese, xfonts-intl-chinese-big, xfonts-intl-european,
- xfonts-intl-japanese, xfonts-intl-japanese-big, xfonts-intl-phonetic,
- fonts-ipafont-gothic, fonts-ipafont-mincho, ttf-dejavu, ttf-freefont,
- texlive-lang-cyrillic,
- gsfonts | gsfonts-x11
+ ghostscript, texlive-latex-base, texlive-generic-recommended,
+ texlive-latex-recommended, autotools-dev, texi2html, texlive-metapost,
+ zip, rsync, texlive-fonts-recommended, dblatex, netpbm, imagemagick,
+ fonts-linuxlibertine, fonts-freefont-otf, fonts-ipafont-mincho,
+ texlive-lang-cyrillic, fonts-texgyre,
+ gsfonts | gsfonts-x11,
+ extractpdfmark,
+ libtool, autoconf, automake, libgmp-dev, libltdl-dev, libncurses5-dev,
+ libreadline6-dev
+Build-Conflicts: fonts-noto-cjk
 Section: tex
 Priority: optional
 Maintainer: Don Armstrong <don@debian.org>
-Standards-Version: 3.9.5
+Uploaders: Anthony Fok <foka@debian.org>,
+           Dr. Tobias Quathamer <toddy@debian.org>
+Standards-Version: 4.1.3
 Homepage: http://lilypond.org/
-Vcs-Git: git://git.donarmstrong.com/lilypond.git
-Vcs-Browser: http://git.donarmstrong.com/lilypond.git
+Vcs-Git: https://salsa.debian.org/debian/lilypond.git -b debian
+Vcs-Browser: https://salsa.debian.org/debian/lilypond
 
 Package: lilypond
 Architecture: any
-Replaces: lilypond1.3
-Provides: lilypond1.3
-Depends: ${shlibs:Depends}, ${python:Depends}, guile-1.8, ${misc:Depends}, lilypond-data (= ${source:Version}), ghostscript
+Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, lilypond-data (= ${source:Version}), ghostscript
 Breaks: ${python:Breaks}
-Recommends: lilypond-doc, texlive-latex-base
+Recommends: texlive-latex-base
+Suggests: lilypond-doc
 Description: program for typesetting sheet music
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -60,7 +61,7 @@
 Description: LilyPond music typesetter (data files)
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
- . 
+ .
  This package contains architecture-independent data files for LilyPond.
 
 Package: lilypond-doc
@@ -70,7 +71,7 @@
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
 Recommends: lilypond-doc-html, lilypond-doc-pdf
 Suggests: lilypond (>= ${source:Version})
-Description: LilyPond Documentation in info format (and meta package)
+Description: LilyPond Documentation in info format (and metapackage)
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
  .
@@ -93,11 +94,9 @@
 Package: lilypond-doc-html
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
+Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc
 Recommends: mozilla-browser | www-browser
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond HTML Documentation
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -105,13 +104,23 @@
  This package contains the HTML documentation for the LilyPond music
  typesetting software.
 
+Package: lilypond-doc-html-ca
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
+Suggests: lilypond (>= ${source:Version})
+Description: LilyPond HTML Documentation in Catalan
+ LilyPond is a music typesetter, an automated engraving system.  It
+ produces beautiful sheet music using a high level description file as input.
+ .
+ This package contains the HTML documentation in Catalan for the
+ LilyPond music typesetting software.
+
 Package: lilypond-doc-html-cs
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond HTML Documentation in Czech
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -124,8 +133,6 @@
 Architecture: all
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond HTML Documentation in German
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -138,8 +145,6 @@
 Architecture: all
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond HTML Documentation in Spanish
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -152,8 +157,6 @@
 Architecture: all
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond HTML Documentation in French
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -166,8 +169,6 @@
 Architecture: all
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond HTML Documentation in Hungarian
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -180,8 +181,6 @@
 Architecture: all
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond HTML Documentation in Italian
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -194,8 +193,6 @@
 Architecture: all
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond HTML Documentation in Japanese
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -208,8 +205,6 @@
 Architecture: all
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond HTML Documentation in Dutch
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -222,8 +217,6 @@
 Architecture: all
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond HTML Documentation in Chinese
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -231,14 +224,25 @@
  This package contains the HTML documentation in Chinese for the
  LilyPond music typesetting software.
 
+Package: lilypond-doc-pdf-ca
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
+Recommends: evince | pdf-viewer
+Suggests: lilypond (>= ${source:Version})
+Description: LilyPond PDF Documentation in Catalan
+ LilyPond is a music typesetter, an automated engraving system.  It
+ produces beautiful sheet music using a high level description file as input.
+ .
+ This package contains the PDF documentation in Catalan for the
+ LilyPond music typesetting software.
+
 Package: lilypond-doc-pdf-de
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
 Recommends: evince | pdf-viewer
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond PDF Documentation in German
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -252,8 +256,6 @@
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
 Recommends: evince | pdf-viewer
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond PDF Documentation in Spanish
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -267,8 +269,6 @@
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
 Recommends: evince | pdf-viewer
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond PDF Documentation in French
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -282,10 +282,15 @@
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
 Recommends: evince | pdf-viewer
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond PDF Documentation in Hungarian
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
  .
  This package contains the PDF documentation in Hungarian for the
+ LilyPond music typesetting software.
+
+Package: lilypond-doc-pdf-it
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
+Recommends: evince | pdf-viewer
